#!/usr/bin/python
import sys
import time
import Adafruit_DHT
import requests
import serial
import pynmea2

serialPort = serial.Serial("/dev/ttyAMA0", 9600, timeout=0.5)

while(1):
    str = serialPort.readline()

    try:
        if str.find('GGA') > 0:
                msg = pynmea2.parse(str)
                lattude = float(msg.lat)
                longitude = float(msg.lon)

# lattude 10-60 convert
                latup = int(lattude/100)
                latlow = float((lattude - (latup*100))/60)
                flat = round(latup + latlow,6)
# longitude 10-60 convert
                lonup = int(longitude/100)
                lonlow = float((longitude - (lonup*100))/60)
                flon = round(lonup + lonlow,6)

                print flat
                print flon

                humidity, temperature = Adafruit_DHT.read_retry(Adafruit_DHT.DHT11, 4)
                if humidity is not None and temperature is not None:
                        print 'Temp={0:0.1f}C  Humidity={1:0.1f}%'.format(temperature, humidity)
                else:
                        print 'Failed to get reading. Try again!'
                        sys.exit(1)
                try:
                        requests.post("http://maker.ifttt.com/trigger/<EVENT>/with/key/<SECRET_KEY>", json={"value1":temperature,"value2":flat,"value3":flon})
                except:
                        print "update error"
                time.sleep(5)
                serialPort.flushInput()

        else:
                print 'GPS data wait!!'
                time.sleep(0.1)
    except:
        print 'GPS FIX wait!! '